
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins',sans-serif;
}

body{
    background:#faf5ff;
}

/* MENU */

header{
    position:absolute;
    top:15px;
    left:50%;
    transform:translateX(-50%);
    width:80%;

    background:rgba(255,255,255,.75);
    backdrop-filter:blur(15px);

    border-radius:50px;

    box-shadow:0 8px 25px rgba(0,0,0,.08);

    z-index:1000;
}

nav ul{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:50px;

    list-style:none;
    padding:20px;
}

nav ul{
    display:flex;
    justify-content:center;
    gap:40px;
    list-style:none;
    padding:20px;
}

nav a{
    position:relative;

    text-decoration:none;
    color:#7c3aed;

    font-size:1.1rem;
    font-weight:600;

    transition:.3s;
}

nav a::after{
    content:"";

    position:absolute;
    left:0;
    bottom:-8px;

    width:0%;
    height:3px;

    background:#c084fc;

    border-radius:10px;

    transition:.3s;
}

nav a:hover::after{
    width:100%;
}

/* HOVER */

nav a:hover{
    color:#a855f7;
    transform:translateY(-3px);
}

/* SLIDER */

.slider{
    height:500px;

    animation:slider 12s infinite;
    background-size:cover;
    background-position:center;

    display:flex;
    justify-content:center;
    align-items:center;
}

@keyframes slider{

    0%{
    background-image:url("https://images.unsplash.com/photo-1493246507139-91e8fad9978e");
    }

    33%{
    background-image:url("https://images.unsplash.com/photo-1500530855697-b586d89ba3ee");
    }

    66%{
    background-image:url("https://images.unsplash.com/photo-1511497584788-876760111969");
    }

    100%{
        background-image:url("https://images.unsplash.com/photo-1515378791036-0648a3ef77b2");
    }
}

.texto-slider h1{
    color:#c084fc;
    font-size:4rem;
    font-style:italic;
    font-weight:bold;

    text-shadow:
        -2px -2px 0 white,
         2px -2px 0 white,
        -2px  2px 0 white,
         2px  2px 0 white,
         5px  5px 15px rgba(0,0,0,.4);
}

.texto-slider h1{
    color:#a855f7;
    font-size:4rem;
    font-family:Georgia, serif;
    font-style:italic;
    font-weight:bold;
}

.texto-slider p{
    color:#f8fafc;
    font-size:1.2rem;
    font-style:italic;
    font-weight:500;
}

/* DOS COLUMNAS */

.contacto{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:40px;
    padding:80px;
}

/* COLUMNA IZQUIERDA */

.info{
    background:white;
    padding:40px;
    border-radius:25px;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
    transition:.4s;
}

.info:hover{
    transform:translateY(-8px);
}

.info h2{
    color:#7c3aed;
    margin-bottom:20px;

    font-family:'Playfair Display', serif;
    font-style:italic;
    font-size:2.3rem;

    text-shadow:2px 2px 5px rgba(124,58,237,.2);
}

/* PSEUDO ELEMENTOS */

.info h2::before{
    content:"🌷 ";
}

.info h2::after{
    content:" ✨";
}

.info p{
    line-height:1.8;
    color:#555;
}

.info p::first-letter{
    font-size:28px;
    color:#a855f7;
    font-weight:bold;
}

/* FORMULARIO */

.formulario{
    background:white;
    padding:40px;
    border-radius:25px;
    box-shadow:0 10px 40px rgba(0,0,0,.08);
    transition:.4s;
}

.formulario:hover{
    transform:translateY(-8px);
}

form{
    display:flex;
    flex-direction:column;
    gap:20px;
}

form{
    margin-top:80px;
}

input,
textarea{
    padding:15px;
    border:2px solid #e9d5ff;
    border-radius:15px;
    transition:.3s;
}

textarea{
    height:150px;
    resize:none;
}

/* FOCUS */

input:focus,
textarea:focus{
    outline:none;
    border-color:#c084fc;
    box-shadow:0 0 15px rgba(192,132,252,.3);
}

/* BOTON */

button{
    padding:15px;
    border:none;
    border-radius:15px;
    background:#c084fc;
    color:white;

    font-family:'Playfair Display', serif;
    font-style:italic;
    font-size:1.3rem;
    font-weight:bold;

    transition:.3s;
}

/* HOVER BOTON */

button:hover{
    background:#a855f7;
    cursor:pointer;
    transform:scale(1.05);
}

/* ACTIVE BOTON */

button:active{
    transform:scale(.95);
}

@media(max-width:768px){

    .contacto{
        grid-template-columns:1fr;
        padding:30px;
    }

    .texto-slider h1{
        font-size:2rem;
    }
}
/* BENEFICIOS */

.beneficios{
    margin-top:25px;
    display:flex;
    flex-direction:column;
    gap:12px;
}

.beneficios div{
    background:#faf5ff;
    padding:15px;
    border-radius:15px;
    border-left:5px solid #c084fc;
    transition:.3s;
}

.beneficios div:hover{
    transform:translateX(8px);
}

/* ESTADISTICAS */

.estadisticas{
    margin-top:30px;
    display:flex;
    justify-content:space-between;
}

.dato{
    text-align:center;
}

.dato h3{
    color:#a855f7;
    font-size:2rem;
    margin-bottom:5px;
}

.dato p{
    font-size:.9rem;
    color:#666;
}

.titulo-formulario{
    color:#7c3aed;
    margin-bottom:20px;

    font-family:'Playfair Display', serif;
    font-style:italic;
    font-size:2.3rem;

    text-shadow:2px 2px 5px rgba(124,58,237,.2);
}

nav{
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:15px 30px;
}

.logo{
    display:flex;
    align-items:center;
    gap:10px;
}

.logo img{
    width:45px;
    height:45px;
    object-fit:contain;

    transition:.4s;
}

.logo img:hover{
    transform:rotate(15deg) scale(1.1);
}

.logo span{
    color:#7c3aed;
    font-size:1.6rem;
    font-weight:bold;

    font-family:'Playfair Display', serif;
    font-style:italic;
}

html{
    scroll-behavior:smooth;
}


